/**@Author: 
 * Diana Mei Leng Wong
 * Michiko Chand
 * Nazih Ajami
 *@Date: November 8, 2006
 
 *Description: 
 *The main purpose of this class is to draw an image. The class contains a method which is called by 
 *NominateGUI.java & guiVoteForWinner.java that enables an image to be drawn on the GUI. The GUI user 
 *does not interact with this class directly.
 */


import java.awt.Graphics;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JPanel;

public class DrawLogo extends JPanel {

	public void paintComponent(Graphics g) {
		Image logo = new ImageIcon("images/EA_Logo_2007_Gray.jpg").getImage();
		g.drawImage(logo, 3, 4, this);

	}
}
