/**@Author: 
 * Diana Mei Leng Wong
 * Michiko Chand
 * Nazih Ajami
 *@Date: November 8, 2006
 
 *Description: 
 *This class is the owner of all employee related data. Any GUI that needs any Employee information 
 *has to call methods in this class. This class will support returning one specific Employee 
 *information, or a list of all employees. This class does not and will not support adding new 
 *Employees into the solution. That will be managed by the database in the future. Currently the 
 *class has the possible employee names hard coded into it, which will be changed with the introduction 
 *of the database in proto type 2. The GUI user does not interact with this class directly.	
 */

public class Employee {

	private int empID;

	private String empName;

	public Employee() {
		// set any default for now
		empID = 0;
		empName = "Mr. Brown";
	}

	public static void main(String[] args) {
		// test the award class
		String[] names;
		Award awardList = new Award();
		names = awardList.getAllAwardName();
		System.out.println(names[0] + "\n" + names[3]);
	}

	public String getName(int empID) {
		String empName;
		if (empID == 0) {
			empName = "Mr. Black";
		} else {
			empName = "Mr. Green";
		}

		return empName;
	}

	public String[] getAllName() {
		String[] NameList = { "Mr. Brown", "Mr. Green", "Mr. Black",
				"Mr. White", "Mr. Blue", "Mr. Purple", "Mr. Red", "Mr. Brown" };
		return NameList;
	}
}
