/**@Author: 
 * Diana Mei Leng Wong
 * Michiko Chand
 * Nazih Ajami
 *@Date: November 8, 2006
 
 *Description: 
 *This class is the owner of all award related data. Any GUI that needs any Award information has to 
 *call methods in this class. This class will support returning one specific award, a list of awards or 
 *adding new awards. Currently the class has the possible award values hard coded into it, 
 *which will be changed with the introduction of the database in proto type 2. 
 *The GUI user will never interact with this class.
 */

public class Award {
	private int awardID;

	private String awardName;

	private String awardDescription;

	private String awardFrequency;

	public Award() {
		// set any defaults for now
		awardID = 0;
		awardName = "Employee of the Month";
		awardDescription = "This is the description for the " + awardName
				+ " award";
		awardFrequency = "Monthly";
	}

	public static void main(String[] args) {
		// test the Employee class
		String[] names;
		Employee awardList = new Employee();
		names = awardList.getAllName();
		System.out.println(names[0] + "\n" + names[3] + "\n" + names[5]);

	}

	public String getAwardName(int awardID) {
		String awardName;
		awardName = "Employee of the Month";
		return awardName;
	}

	public String getAwardDescription(int awardID) {
		return "";
	}

	public String getAwardDescription(String awardName) {
		// this will change to a select out of the database
		String awardDescription;
		awardDescription = "This is the description for the " + awardName
				+ " award";
		return awardDescription;
	}

	public String[] getAllAwardName() {
		// this will change to a select out of the database of all the awards
		String[] awardNameList = { "Employee of the Month",
				"Seven Attributes - Smart", "Seven Attributes - Passionate",
				"Seven Attributes - Sense of Urgency",
				"Seven Attributes - Curious",
				"Seven Attributes - Committed to Vision",
				"Seven Attributes - Achiever",
				"Seven Attributes - Fun and Pleasant" };
		return awardNameList;
	}

}
