/**@Author: 
 * Diana Mei Leng Wong
 * Michiko Chand
 * Nazih Ajami
 *@Date: November 8, 2006

 *Description: 
 *This class creates the GUI which helps users nominate an employee for an award. 
 *This class currently calls methods in the employee class and in the award class. 
 *In prototype 2 this class will call the Nomination class to add new nominations into the solution.
 *This class creates the GUI which helps users nominate an employee for an award.
 */

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.border.EmptyBorder;
import javax.swing.border.TitledBorder;

public class NominateGUI {

	JFrame mainWindow;

	Award blankAward = new Award();

	String[] awardList = blankAward.getAllAwardName();

	Employee blankEmployee = new Employee();

	String[] employeeList = blankEmployee.getAllName();

	JTextArea awardDesText = new JTextArea(200, 20);

	JComboBox awardListCBox = new JComboBox(awardList);

	public static void main(String args[]) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				new NominateGUI();
			}
		});
	}

	public NominateGUI() {

		// ======== mainWindowFrame ========
		mainWindow = new JFrame();
		mainWindow.setTitle("Nominate Employees");
		mainWindow.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mainWindow.setLocation(300, 100);

		JPanel dialogPane = new JPanel();
		dialogPane.setLayout(new BorderLayout());
		dialogPane.setPreferredSize(new Dimension(600, 510));
		mainWindow.setContentPane(dialogPane);

		JPanel contentPanel = new JPanel();
		JPanel logoPanel = new JPanel();
		JPanel awardPanel = new JPanel();
		JLabel awardNamelabel = new JLabel();
		JScrollPane scrollPane1 = new JScrollPane();
		JLabel awardDescLabel = new JLabel();
		JPanel nominationPanel = new JPanel();
		JLabel nomineeLabel = new JLabel();
		JComboBox employeeListCBox = new JComboBox(employeeList);
		JLabel commentLabel = new JLabel();
		JScrollPane scrollPane2 = new JScrollPane();
		JTextArea commentsText = new JTextArea(200, 20);
		JLabel submittersLabel = new JLabel();
		JScrollPane scrollPane3 = new JScrollPane();
		JList submittersList = new JList(employeeList);
		JPanel buttonBar = new JPanel();
		JButton submitButton = new JButton();
		JButton cancelButton = new JButton();

		// ======== dialogPane ========
		{
			dialogPane.setBorder(new EmptyBorder(12, 12, 12, 12));

			dialogPane
					.setBorder(new javax.swing.border.CompoundBorder(
							new javax.swing.border.TitledBorder(
									new javax.swing.border.EmptyBorder(0, 0, 0,
											0), "",
									javax.swing.border.TitledBorder.CENTER,
									javax.swing.border.TitledBorder.BOTTOM,
									new java.awt.Font("Dialog",
											java.awt.Font.BOLD, 12),
									java.awt.Color.red), dialogPane.getBorder()));
			dialogPane
					.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
						public void propertyChange(
								java.beans.PropertyChangeEvent e) {
							if ("border".equals(e.getPropertyName()))
								throw new RuntimeException();
						}
					});

			dialogPane.setLayout(new BorderLayout());

			// ======== contentPanel ========
			{
				contentPanel.setLayout(new GridBagLayout());
				((GridBagLayout) contentPanel.getLayout()).columnWidths = new int[] {
						0, 0 };
				((GridBagLayout) contentPanel.getLayout()).rowHeights = new int[] {
						0, 0, 0, 0 };
				((GridBagLayout) contentPanel.getLayout()).columnWeights = new double[] {
						1.0, 1.0E-4 };
				((GridBagLayout) contentPanel.getLayout()).rowWeights = new double[] {
						0.0, 0.0, 0.0, 1.0E-4 };

				// ======== logoPanel ========
				{
					logoPanel.setLayout(new GridBagLayout());
					((GridBagLayout) logoPanel.getLayout()).columnWidths = new int[] {
							0, 0, 0, 0 };
					((GridBagLayout) logoPanel.getLayout()).rowHeights = new int[] {
							0, 0 };
					((GridBagLayout) logoPanel.getLayout()).columnWeights = new double[] {
							0.0, 0.0, 0.0, 1.0E-4 };
					((GridBagLayout) logoPanel.getLayout()).rowWeights = new double[] {
							0.0, 1.0E-4 };

					// ---- logoLabel ----
					DrawLogo northLogoPanel = new DrawLogo();
					logoPanel.add(northLogoPanel, new GridBagConstraints(0, 0,
							1, 1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 0, 5),
							300, 100));
				}
				contentPanel
						.add(logoPanel, new GridBagConstraints(0, 0, 1, 1, 0.0,
								0.0, GridBagConstraints.CENTER,
								GridBagConstraints.BOTH,
								new Insets(0, 0, 10, 0), 0, 0));

				// ======== awardPanel ========
				{
					awardPanel.setBorder(new TitledBorder("Awards"));
					awardPanel.setLayout(new GridBagLayout());
					((GridBagLayout) awardPanel.getLayout()).columnWidths = new int[] {
							0, 0, 0, 0 };
					((GridBagLayout) awardPanel.getLayout()).rowHeights = new int[] {
							0, 50, 0 };
					((GridBagLayout) awardPanel.getLayout()).columnWeights = new double[] {
							0.0, 1.0, 1.0, 1.0E-4 };
					((GridBagLayout) awardPanel.getLayout()).rowWeights = new double[] {
							0.0, 0.0, 1.0E-4 };

					// ---- awardNamelabel ----
					awardNamelabel.setText("Award Name:");
					awardPanel.add(awardNamelabel, new GridBagConstraints(0, 0,
							1, 1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 15, 15),
							0, 0));
					awardListCBox.addActionListener(new awardList());
					awardPanel.add(awardListCBox, new GridBagConstraints(1, 0,
							1, 1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 15, 15),
							0, 0));

					// ---- awardDescLabel ----
					awardDescLabel.setText("Award Description:");
					awardPanel.add(awardDescLabel, new GridBagConstraints(0, 1,
							1, 1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 0, 15),
							0, 0));

					// ======== scrollPane1 ========
					{
						awardDesText.setEditable(false);
						awardDesText.setText("This is the description of the "+(String)awardListCBox.getSelectedItem()+" award");
						scrollPane1.setViewportView(awardDesText);
					}
					awardPanel.add(scrollPane1, new GridBagConstraints(1, 1, 2,
							1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0,
							0));
				}
				contentPanel
						.add(awardPanel, new GridBagConstraints(0, 1, 1, 1,
								0.0, 0.0, GridBagConstraints.CENTER,
								GridBagConstraints.BOTH,
								new Insets(0, 0, 10, 0), 0, 0));

				// ======== nominationPanel ========
				{
					nominationPanel.setBorder(new TitledBorder("Nomination"));
					nominationPanel.setLayout(new GridBagLayout());
					((GridBagLayout) nominationPanel.getLayout()).columnWidths = new int[] {
							105, 0, 0, 0 };
					((GridBagLayout) nominationPanel.getLayout()).rowHeights = new int[] {
							0, 65, 33, 25, 0 };
					((GridBagLayout) nominationPanel.getLayout()).columnWeights = new double[] {
							0.0, 1.0, 1.0, 1.0E-4 };
					((GridBagLayout) nominationPanel.getLayout()).rowWeights = new double[] {
							0.0, 0.0, 0.0, 0.0, 1.0E-4 };

					// ---- nomineeLabel ----
					nomineeLabel.setText("Nominee:");
					nominationPanel.add(nomineeLabel, new GridBagConstraints(0,
							0, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 15, 15),
							0, 0));
					nominationPanel.add(employeeListCBox,
							new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0,
									GridBagConstraints.CENTER,
									GridBagConstraints.BOTH, new Insets(0, 0,
											15, 15), 0, 0));

					// ---- commentLabel ----
					commentLabel.setText("Comments:");
					nominationPanel.add(commentLabel, new GridBagConstraints(0,
							1, 1, 1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 15, 15),
							0, 0));

					// ======== scrollPane2 ========
					{
						commentsText.setText("This is "+(String)employeeListCBox.getSelectedItem()+" comments");
						scrollPane2.setViewportView(commentsText);
					}
					nominationPanel.add(scrollPane2, new GridBagConstraints(1,
							1, 2, 1, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 15, 0),
							0, 0));

					// ---- submittersLabel ----
					submittersLabel.setText("Submitted by:");
					nominationPanel.add(submittersLabel,
							new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0,
									GridBagConstraints.CENTER,
									GridBagConstraints.BOTH, new Insets(0, 0,
											15, 15), 0, 0));

					// ======== scrollPane3 ========
					{
						scrollPane3.setViewportView(submittersList);
					}
					nominationPanel.add(scrollPane3, new GridBagConstraints(1,
							2, 1, 2, 0.0, 0.0, GridBagConstraints.CENTER,
							GridBagConstraints.BOTH, new Insets(0, 0, 0, 15),
							0, 0));
				}
				contentPanel.add(nominationPanel, new GridBagConstraints(0, 2,
						1, 1, 0.0, 0.0, GridBagConstraints.CENTER,
						GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
			}
			dialogPane.add(contentPanel, BorderLayout.CENTER);

			// ======== buttonBar ========
			{
				buttonBar.setBorder(new EmptyBorder(12, 0, 0, 0));
				buttonBar.setLayout(new GridBagLayout());
				((GridBagLayout) buttonBar.getLayout()).columnWidths = new int[] {
						0, 80 };

				// ---- submitlButton ----
				submitButton.setText("Submit");
				submitButton.setToolTipText("Submit");
				submitButton.addActionListener(new ClickHandler());
				buttonBar.add(submitButton, new GridBagConstraints(0, 0, 1, 1,
						0.0, 0.0, GridBagConstraints.CENTER,
						GridBagConstraints.BOTH, new Insets(0, 0, 0, 5), 0, 0));

				// ---- cancelButton ----
				cancelButton.setText("Cancel");
				cancelButton.setToolTipText("Cancel");
				cancelButton.addActionListener(new ClickCancel());
				buttonBar.add(cancelButton, new GridBagConstraints(1, 0, 1, 1,
						0.0, 0.0, GridBagConstraints.CENTER,
						GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
			}
			dialogPane.add(buttonBar, BorderLayout.SOUTH);
		}

		// ---- pack the window and display it ----
		mainWindow.pack();
		mainWindow.setVisible(true);
	}

	class awardList implements ActionListener {

		public void actionPerformed(ActionEvent e) {
			String selectedAward = (String) awardListCBox.getSelectedItem();
			awardDesText.setText(blankAward.getAwardDescription(selectedAward));
		}

	}

	class ClickHandler implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			mainWindow.dispose();
			new SwitchBoard();
		}

	}

	class ClickCancel implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			new SwitchBoard();
			mainWindow.dispose();
		}
	}
}
